> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774051868.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Query unexecuted(active) OCO orders



## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/orders/oco
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/orders/oco:
    post:
      tags:
        - Collateral Trading
      summary: Query unexecuted(active) OCO orders
      description: |
        The endpoint retrieves active OCO orders.

        <Warning>
        Rate limit: 12000 requests/10 sec.
        </Warning>
      operationId: getOcoOrders
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                market:
                  type: string
                  example: BTC_USDT
                offset:
                  type: integer
                  default: 0
                  example: 0
                limit:
                  type: integer
                  default: 50
                  example: 100
                request:
                  type: string
                  example: '{{request}}'
                nonce:
                  type: string
                  example: '{{nonce}}'
            example:
              market: BTC_USDT
              offset: 0
              limit: 100
      responses:
        '200':
          description: Successful response - returns array of active OCO orders
          content:
            application/json:
              schema:
                type: array
                description: Array of active OCO orders
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      description: OCO order identifier
                      example: 117703764513
                    stop_loss:
                      type: object
                      description: Stop loss order details
                      properties:
                        order_id:
                          type: integer
                          example: 117703764514
                        client_order_id:
                          type: string
                          example: ''
                        market:
                          type: string
                          example: BTC_USDT
                        side:
                          type: string
                          enum:
                            - buy
                            - sell
                          example: buy
                        type:
                          type: string
                          example: stop limit
                        timestamp:
                          type: number
                          example: 1594605801.49815
                        deal_money:
                          type: string
                          example: '0'
                        deal_stock:
                          type: string
                          example: '0'
                        amount:
                          type: string
                          example: '2.241379'
                        takerFee:
                          type: string
                          example: '0.001'
                        makerFee:
                          type: string
                          example: '0.001'
                        left:
                          type: string
                          example: '2.241379'
                        deal_fee:
                          type: string
                          example: '0'
                        post_only:
                          type: boolean
                          example: false
                        mtime:
                          type: number
                          example: 1662478154.941582
                        price:
                          type: string
                          example: '19928.79'
                        activation_price:
                          type: string
                          example: '29928.79'
                        activation_condition:
                          type: string
                          enum:
                            - gte
                            - lte
                          example: gte
                        activated:
                          type: integer
                          example: 0
                        status:
                          type: string
                          example: FILLED
                        stp:
                          type: string
                          example: 'no'
                    take_profit:
                      type: object
                      description: Take profit order details
                      properties:
                        order_id:
                          type: integer
                          example: 117703764515
                        client_order_id:
                          type: string
                          example: ''
                        market:
                          type: string
                          example: BTC_USDT
                        side:
                          type: string
                          enum:
                            - buy
                            - sell
                          example: buy
                        type:
                          type: string
                          example: limit
                        timestamp:
                          type: number
                          example: 1662478154.941582
                        deal_money:
                          type: string
                          example: '0'
                        deal_stock:
                          type: string
                          example: '0'
                        amount:
                          type: string
                          example: '0.635709'
                        takerFee:
                          type: string
                          example: '0.001'
                        makerFee:
                          type: string
                          example: '0.001'
                        left:
                          type: string
                          example: '0.635709'
                        deal_fee:
                          type: string
                          example: '0'
                        post_only:
                          type: boolean
                          example: false
                        mtime:
                          type: number
                          example: 1662478154.941582
                        price:
                          type: string
                          example: '9928.79'
                        status:
                          type: string
                          example: FILLED
                        stp:
                          type: string
                          example: 'no'
              example:
                - id: 117703764513
                  stop_loss:
                    order_id: 117703764514
                    client_order_id: ''
                    market: BTC_USDT
                    side: buy
                    type: stop limit
                    timestamp: 1594605801.49815
                    deal_money: '0'
                    deal_stock: '0'
                    amount: '2.241379'
                    takerFee: '0.001'
                    makerFee: '0.001'
                    left: '2.241379'
                    deal_fee: '0'
                    post_only: false
                    mtime: 1662478154.941582
                    price: '19928.79'
                    activation_price: '29928.79'
                    activation_condition: gte
                    activated: 0
                    status: FILLED
                    stp: 'no'
                  take_profit:
                    order_id: 117703764515
                    client_order_id: ''
                    market: BTC_USDT
                    side: buy
                    type: limit
                    timestamp: 1662478154.941582
                    deal_money: '0'
                    deal_stock: '0'
                    amount: '0.635709'
                    takerFee: '0.001'
                    makerFee: '0.001'
                    left: '0.635709'
                    deal_fee: '0'
                    post_only: false
                    mtime: 1662478154.941582
                    price: '9928.79'
                    status: FILLED
                    stp: 'no'
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: |
        API Key authentication for private endpoints.

        Required headers:
        - X-TXC-APIKEY: API key
        - X-TXC-PAYLOAD: Base64 encoded JSON payload
        - X-TXC-SIGNATURE: HMAC SHA512 signature

````